Subject: bug#35689: Customizable char-fold

From: Juri Linkov <[email-masked]>
Date: Thu, 06 Jun 2019 23:49:45 +0300

>>>>       :set (lambda (sym val)
>>>>              (set-default sym val)
>>>>              ;; FIXME: Maybe delay this until after-init-time,
>>>>              ;; to avoid redundant calls to char-fold-make-table.
>>>
>>> I tried different possible values of :initialize,
>>> but not custom-initialize-changed.  I'll try this now.
>>
>> I see no problems other than redundant calls to char-fold-make-table
>> when more than one variable is customized.  char-fold.el is autoloaded
>> when isearch calls char-fold-to-regexp for the first time, so I'm not
>> sure how after-init-hook could help in this case.
>
> Ah, sorry, I had somehow got it into my head that char-fold.el is
> preloaded.

I still haven't found a way to avoid calling char-fold-make-table
3 times when 3 variables are customized.  Maybe this is not possible
because currently customizable variables have no dependency on each other.